import { EditorState } from 'prosemirror-state';
import { PMPluginFactory } from '../../../types';
import { TokenPluginState } from './types';
export declare function getPluginState(state: EditorState): TokenPluginState;
declare const createPlugin: PMPluginFactory;
export default createPlugin;
